TAAS - Feature #53

Received Cheque
09/22/2022 11:33 AM - Anil KV

Status: Reopen Bugs Testing Done Start date: 09/26/2022
Priority: Normal Due date: 09/30/2022
Assignee: Sreeranjini T % Done: 90%
Category: Estimated time: 32:00 hours
Target version: 22.12 Spent time: 0:00 hour
Owner(Agency): Travvise Tested By: unnikannan S
Time Taken(HH): Code Reviewed By:

Module: Received Cheque

Description

Coding Received Cheque

History

#1 - 09/27/2022 11:13 AM - Anil KV

Deletetion SP
sp_delete_account(binAccountld::BIGINT, intSysActionl::INT, binDeletedUserld::BIGINT, objSpOutRes);

#2 - 09/27/2022 07:25 PM - Anil KV
Ref: Customer #60

#3 - 10/07/2022 01:37 PM - Anil KV

accounts.tbl_account->sin_ac_category =
-- 14 = Current Cheque Received Accounts
-- 15 =PDC Received Accounts

#4 - 10/07/2022 06:49 PM - Anil KV
- File 1-CsModel.cs added

- File 2-tsModel.ts added

- File 3-CsFile.cs added

- File 4-CsControllerFile.cs added

- File 5-TsFile.ts added

- File 6-HtmiFile.html added

- File sql.sql added

#5 - 10/28/2022 11:25 AM - Anand V Gopal
- Status changed from New to Coding Started
- % Done changed from 0 to 40

#6 - 11/09/2022 05:00 PM - Anand V Gopal
- Status changed from Coding Started to Particialy Coding Done

Received cheque coding partially done as invoice format in customer tab not implemented.

#7 - 12/02/2022 12:13 PM - Anand V Gopal
- Status changed from Particialy Coding Done to Coding Done

- % Done changed from 40 to 60

#8 - 12/03/2022 10:49 AM - Amal Cyriac

- Status changed from Coding Done to Reopen Bugs
- % Done changed from 60 to 50
- Tested By set to Amal Cyriac

ISSUE FOUND *****
1.RESIZE GRID COLUMNS
(CURRENCY)

2.SET 'TYPE' MANDATORY

3.ALLOW NAME DUPLICATION

4.SET 'DEFAULT CURRENCY' MANDATORY
5.SET VALIDATION ON 'MAX LIMIT'

6.SET A UNIFORM SIZE IN DIV

(RESIZE BRANCH DIV)

#9 - 12/05/2022 02:51 PM - Anand V Gopal
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 60

#10 - 12/05/2022 05:21 PM - Amal Cyriac
- Status changed from Reopen Bugs Coding Done to Reopen Bugs
- % Done changed from 60 to 50

ISSUE FOUND *****
1.FIX BUGS ON DEFAULT CURRENCY & SET AS REQUIRED

(IF REMOVE DEFAULT CURRENCY FROM CURRENCY LIST, IT'S NOT REFLECTING ON GRID)

2.SET PROPER ALERTS FOR MAIN LEDGER & CODE
3.SET CODE MANDATORY

#11 - 02/02/2023 06:46 PM - Anand V Gopal
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 60

#12 - 02/04/2023 04:24 PM - Amal Cyriac
- Status changed from Reopen Bugs Coding Done to Reopen Bugs

- % Done changed from 60 to 50

ISSUE FOUND *****
1.SET DISPLAY NAME INPUT BOX AS FREE TEXT FIELD
2.FIX BUGS ON CODE WHILE EDIT MODE

#13 - 02/08/2023 09:41 AM - Anand V Gopal
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 60

#14 - 02/08/2023 02:06 PM - Amal Cyriac
- Status changed from Reopen Bugs Coding Done to Reopen Bugs

- % Done changed from 60 to 50

ISSUE FOUND *****
1.USE PROPER ALERTS

(TYPE)

2.UPDATE REGION

3.SET RED STAR ON BRANCH WIDGET
4.FIX TRANSLATION BUGS ON LPO

#15 - 02/11/2023 06:17 PM - Anand V Gopal
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 60

#16 - 02/17/2023 04:50 PM - Amal Cyriac
- Status changed from Reopen Bugs Coding Done to Reopen Bugs
- % Done changed from 60 to 50

ISSUE FOUND *****
1. ST MANDATORY VALIDATION ON MAIN LEDGER
(EDIT MODE > CHANGE TYPE)

#17 - 03/20/2023 06:21 PM - Anand V Gopal
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 60

#18 - 03/21/2023 04:56 PM - Amal Cyriac
- Status changed from Reopen Bugs Coding Done to Reopen Bugs
- % Done changed from 60 to 50

ISSUE FOUND *****

1.Use CODE:NAME format on selection box

(Act As Client --> Auto Inv Branch --> Branch)

2.Fix duplication errors on grid

(Sort & Update)

3.Fix bugs on selection box

(Act As Client --> Region- drop down button missing)

#19 - 03/23/2023 06:31 PM - Anand V Gopal
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 60

#20 - 05/09/2023 04:00 PM - Amal Cyriac
- Status changed from Reopen Bugs Coding Done to Reopen Bugs
- % Done changed from 60 to 50

ISSUE FOUND *****

1.In Currency Multi Selection Box widget Tick "BASE1 (QAR)" Then Select "BASE1 (QAR)" as default currency

#21 - 05/12/2023 06:11 PM - Anand V Gopal
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 60

#22 - 06/10/2023 06:10 PM - Amal Cyriac
- Status changed from Reopen Bugs Coding Done to Reopen Bugs
- % Done changed from 60 to 50

ISSUE FOUND *****
1.Add precision
> Max Limit(Received)

#23 - 06/27/2023 06:09 PM - Anand V Gopal
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 60

Precision added to Max Limit

#24 - 07/10/2023 06:12 PM - unnikannan S
- Status changed from Reopen Bugs Coding Done to Reopen Bugs
- % Done changed from 60 to 50

- Tested By changed from Amal Cyriac to unnikannan S

ISSUE FOUNDED
1.CHANGE GRID SIZE OF CURRENCY

#25 - 07/11/2023 06:13 PM - Anand V Gopal
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 60

#26 - 07/17/2023 04:28 PM - unnikannan S
- Status changed from Reopen Bugs Coding Done to Reopen Bugs

- % Done changed from 60 to 50

ISSUE FOUNDED
1.ERROR WHILE CHOOSING BRANCH
#27 - 07/18/2023 06:28 PM - Anand V Gopal

- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 60

#28 - 08/07/2023 05:26 PM - unnikannan S
- Status changed from Reopen Bugs Coding Done to Reopen Bugs
- % Done changed from 60 to 50

ISSUE FOUNDED

1.CHANGE FORMAT OF PAID CHEQUE NUMBERS IN GRID WHILE EDIT

#29 - 09/14/2023 01:42 PM - unnikannan S
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 60

#30 - 09/18/2023 11:13 AM - unnikannan S
- Status changed from Reopen Bugs Coding Done to Reopen Bugs
- % Done changed from 60 to 50

ISSUE FOUNDED

1.UlI OVER LAPPING (WHILE ADDING ACT US CLIENT AND CLICK NEW BUTTON)

#31 - 09/25/2023 05:22 PM - Seema Mathew

- Tested By changed from unnikannan S to Seema Mathew
ISSUE FOUNDED****

1.MISSING MAIN LEDGER PRINT

#32 - 10/07/2023 05:15 PM - Junaid M

- Assignee changed from Anand V Gopal to Abhiram Venu

#33 - 10/12/2023 04:12 PM - Abhiram Venu
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 60

Main Ledger Print Issued Solved.
Ready To Be Tested.

#34 - 10/30/2023 03:30 PM - Abhiram Venu
- Status changed from Reopen Bugs Coding Done to Reopen Bugs
- % Done changed from 60 to 50
#35 - 10/30/2023 05:31 PM - unnikannan S
ISSUE FOUNDED

1.UI OVER LAPPING (WHILE ADDING ACT US CLIENT AND CLICK NEW BUTTON)

#36 - 10/31/2023 02:51 PM - Abhiram Venu
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 60

Ul overlapping issue Done
Ready to test.

#37 - 11/23/2023 11:23 AM - unnikannan S
- Status changed from Reopen Bugs Coding Done to Reopen Bugs
- % Done changed from 60 to 50

- Tested By changed from Seema Mathew to unnikannan S
ISSUE FOUNDED
1.UI COLLAPSE ISSUE WHILE CHOOSING NEW BUTTON AFTER SELECTING BRANCH

#38 - 11/24/2023 02:59 PM - Junaid M

- Assignee changed from Abhiram Venu to Sibin Babu

#39 - 11/27/2023 05:05 PM - Sibin Babu
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 60

#40 - 11/27/2023 05:46 PM - unnikannan S
TESTING DONE

#41 - 01/31/2024 12:47 PM - Junaid M

- Assignee changed from Sibin Babu to Baseem Shan

#42 - 02/10/2024 04:47 PM - unnikannan S
- Status changed from Reopen Bugs Coding Done to Reopen Bugs

- % Done changed from 60 to 50

ISSUE FOUNDED

1.DONT ALLOW TO CLEAR THE ACT AS CHECK BOXES IN CASE IF THE ACCOUNT WAS ALREADY USED IN ANY DOCUMENT AS A PARTY
(Discuss With Anil Sir for Changes )

#43 - 02/14/2024 10:02 AM - Junaid M

- Assignee changed from Baseem Shan to Vivekp V

#44 - 02/14/2024 12:12 PM - Vivekp V
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 60

ISSUE FIXED

1.DONT ALLOW TO CLEAR THE ACT AS CHECK BOXES IN CASE IF THE ACCOUNT WAS ALREADY USED IN ANY DOCUMENT AS A PARTY
(Discuss With Anil Sir for Changes )

#45 - 10/11/2024 02:47 PM - Arathy PS
- Status changed from Reopen Bugs Coding Done to Reopen Bugs
- % Done changed from 70 to 50
ISSUE FOUND

1. Deleted account still showing in the Ul after deletion
2. Imported accounts cannot be deleted if approved from account approve

#46 - 10/14/2024 04:35 PM - Arathy PS

- Assignee changed from Vivekp V to Greeshma S

#47 - 10/14/2024 06:16 PM - Greeshma S
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 70

#48 - 11/15/2024 12:56 PM - Theja Ponon
- Status changed from Reopen Bugs Coding Done to Reopen Bugs Testing Done

- % Done changed from 70 to 90

#49 - 02/03/2025 10:36 AM - Arathy PS
- Status changed from Reopen Bugs Testing Done to Reopen Bugs

- % Done changed from 90 to 50

ISSUE FIXED

Act as client should be default untick.

#50 - 02/03/2025 10:48 AM - Arathy PS

- Assignee changed from Greeshma S to Sreeranjini T

#51 - 02/03/2025 12:46 PM - Sreeranjini T
- Status changed from Reopen Bugs to Reopen Bugs Coding Done

- % Done changed from 50 to 70

#52 - 02/04/2025 10:12 AM - Arathy PS
- Status changed from Reopen Bugs Coding Done to Reopen Bugs Testing Done

- % Done changed from 70 to 90

#53 - 02/19/2025 02:24 PM - Theja Ponon
- Status changed from Reopen Bugs Testing Done to Reopen Bugs

- % Done changed from 90 to 50

#54 - 02/19/2025 02:25 PM - Theja Ponon
- Status changed from Reopen Bugs to Reopen Bugs Testing Done

- % Done changed from 50 to 90

Files

1-CsModel.cs 1.26 KB 10/07/2022 Anil KV
2-tsModel.ts 1.03 KB 10/07/2022 Anil KV
3-CsFile.cs 11.1 KB 10/07/2022 Anil KV
4-CsControllerFile.cs 24.6 KB 10/07/2022 Anil KV
5-TsFile.ts 13.8 KB 10/07/2022 Anil KV
6-HtmiFile.html 1.91 KB 10/07/2022 Anil KV
sql.sql 10.2 KB 10/07/2022 Anil KV
